# ---------------------------------------------
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corporation 2021-2023
# ---------------------------------------------



function  acceptLicense {
echo "

1) I have read and agreed to the license agreements
2) Don't accept the license agreements"

read n
case $n in
 1) ./scripts/launchTransformationAdvisor.sh $1;;

 2) rm -rf ./.license_accepted
 exit ;;

 esac
 exit

}

function licenseType {

echo "View the licenses in the link below and select from the menu which license you are installing this product under"
echo ""
echo "https://www.ibm.com/docs/en/cta?topic=started-license-information"
echo ""

echo "------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"

echo "

1) IBM Cloud Transformation Advisor 3.10.0 (Evaluation) - L-APJC-75QQ5K 
2) IBM WebSphere Hybrid Edition 5.1 - L-ZZBG-6V3K4K 
3) IBM WebSphere Automation v1.7.2 - L-UMDR-KJVYBM
4) IBM Cloud Pak for Applications Advanced 5.3 - L-REBM-59QT8V
5) IBM Cloud Pak for Applications Standard 5.3 - L-ZUVT-EDS78A
6) IBM Cloud Pak for Applications Limited 5.3 - L-KULQ-TG6TN5
7) IBM Cloud Pak for Integration 2023.2.1- L-YBXJ-ADJNSM 
8) IBM Cloud Pak for Integration Limited Edition 2023.2.1 - L-PYRA-849GYQ 
9) IBM WebSphere Application Server for z/OS 8.5.5 - L-CTUR-C7K3YZ
10) IBM WebSphere Application Server for z/OS 9.0.5 - L-CTUR-CBPUER"

read l

case $l in

1) touch ./.license_accepted
   echo "IBM Cloud Transformation Advisor 3.10.0 (Evaluation) - L-APJC-75QQ5K" > ./.license_accepted;;
2) touch ./.license_accepted
   echo "IBM WebSphere Hybrid Edition 5.1 - L-ZZBG-6V3K4K" > ./.license_accepted;;
3) touch ./.license_accepted
   echo "IBM WebSphere Automation v1.7.2 - L-UMDR-KJVYBM" > ./.license_accepted;;
4) touch ./.license_accepted
   echo "IBM Cloud Pak for Applications Advanced 5.3 - L-REBM-59QT8V" > ./.license_accepted;;
5) touch ./.license_accepted
   echo "IBM Cloud Pak for Applications Standard 5.3 - L-ZUVT-EDS78A" > ./.license_accepted;;
6) touch ./.license_accepted
   echo "IBM Cloud Pak for Applications Limited 5.3 - L-KULQ-TG6TN5" > ./.license_accepted;;
7) touch ./.license_accepted
   echo "IBM Cloud Pak for Integration 2023.2.1- L-YBXJ-ADJNSM" > ./.license_accepted;;
8) touch ./.license_accepted
   echo "IBM Cloud Pak for Integration Limited Edition 2023.2.1 -  L-PYRA-849GYQ" > ./.license_accepted;;
9) touch ./.license_accepted
   echo "IBM WebSphere Application Server for z/OS 8.5.5 - L-CTUR-C7K3YZ" > ./.license_accepted;;
10) touch ./.license_accepted
   echo "IBM WebSphere Application Server for z/OS 9.0.5 - L-CTUR-CBPUER"> ./.license_accepted;;

   esac

}
